Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.readers
Interface XMLEntityHandler.CharDataHandler

All Known Implementing Classes:
  XMLValidator

public static interface XMLEntityHandler.CharDataHandler

Interface for passing character data.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `processCharacters(char[] chars, int offset, int length)` Process character data, character array version
`void` | `processCharacters(int stringHandle)` Process character data, `StringPool` handle version
`void` | `processWhitespace(char[] chars, int offset, int length)` Process white space data, character array version
`void` | `processWhitespace(int stringHandle)` Process white space data, `StringPool` handle version

Method Detail

### processCharacters

    public void processCharacters(char[] chars,
                                  int offset,
                                  int length)
                           throws java.lang.Exception

  Process character data, character array version

  Parameters:
    `chars` - character buffer to be processed
    `offset` - offset in buffer where the data starts
    `length` - length of characters to be processed
  Throws:
    java.lang.Exception -

### processCharacters

    public void processCharacters(int stringHandle)
                           throws java.lang.Exception

  Process character data, `StringPool` handle version

  Parameters:
    `stringHandle` - `StringPool` handle to the character data
  Throws:
    java.lang.Exception -

### processWhitespace

    public void processWhitespace(char[] chars,
                                  int offset,
                                  int length)
                           throws java.lang.Exception

  Process white space data, character array version

  Parameters:
    `chars` - character buffer to be processed
    `offset` - offset in buffer where the data starts
    `length` - length of whitespace to be processed
  Throws:
    java.lang.Exception -

### processWhitespace

    public void processWhitespace(int stringHandle)
                           throws java.lang.Exception

  Process white space data, `StringPool` handle version

  Parameters:
    `stringHandle` - `StringPool` handle to the whitespace
  Throws:
    java.lang.Exception -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD